# include "stdio.h"
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# define YYLMAX 200
# define output(c) putc(c,yyout)
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
# define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng; extern char yytext[];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;
/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*	cscope - interactive C symbol cross-reference
 *
 *	C symbol scanner
 */

#include "global.h"

/* the line counting has been moved from character reading for speed */
/* comments are discarded */
#undef	input
#define input()  ((yytchar=(yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))=='/'?comment():yytchar)==EOF?0:yytchar)
#define noncommentinput()  ((yytchar=yysptr>yysbuf?*--yysptr:getc(yyin))==EOF?0:yytchar)
#undef	unput
#define unput(c) (*yysptr++=(c))

/* not a preprocessor line (allow Ingres(TM) "## char var;" lines) */
#define	notpp()	(ppdefine == NO && (*yytext != '#' || yytext[1] == '#'))

#define	IFLEVELINC	5	/* #if nesting level size increment */

/* keyword text for fast testing of keywords in the scanner */
extern	char	enumtext[];
extern	char	externtext[];
extern	char	structtext[];
extern	char	typedeftext[];
extern	char	uniontext[];

int	first;	/* buffer index for first char of symbol */
int	last;	/* buffer index for last char of symbol */
int	lineno;	/* symbol line number */

static	BOOL	arraydimension;		/* inside array dimension declaration */
static	BOOL	bplisting;		/* breakpoint listing */
static	int	braces;			/* unmatched left brace count */
static	BOOL	classdef;		/* c++ class definition */
static	BOOL	elseelif;		/* #else or #elif found */
static	BOOL	esudef;			/* enum/struct/union global definition */
static	BOOL	external;		/* external definition */
static	int	externalbraces;		/* external definition outer brace count */
static	BOOL	fcndef;			/* function definition */
static	BOOL	global;			/* file global scope (outside functions) */
static	int	iflevel;		/* #if nesting level */
static	BOOL	initializer;		/* data initializer */
static	int	initializerbraces;	/* data initializer outer brace count */
static	BOOL	lex;			/* lex file */
static	int	miflevel = IFLEVELINC;	/* maximum #if nesting level */
static	int	*maxifbraces;		/* maximum brace count within #if */
static	int	*preifbraces;		/* brace count before #if */
static	int	parens;			/* unmatched left parenthesis count */
static	BOOL	ppdefine;		/* preprocessor define statement */
static	BOOL	psuedoelif;		/* psuedo-#elif */
static	BOOL	oldtype;		/* next identifier is an old type */
static	BOOL	rules;			/* lex/yacc rules */
static	BOOL	sdl;			/* sdl file */
static	BOOL	structfield;		/* structure field declaration */
static	int	tagdef;			/* class/enum/struct/union tag definition */
static	BOOL	template;		/* function template */
static	int	templateparens;		/* function template outer parentheses count */
static	int	typedefbraces = -1;	/* initial typedef brace count */
static	int	token;			/* token found */

void	multicharconstant();
# define SDL 2
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:
	{	/* lex/yacc C declarations/definitions */
			global = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 2:
	{
			global = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 3:
	{	/* lex/yacc rules delimiter */
			braces = 0;
			if (rules == NO) {
				rules = YES;
				
				/* simulate a yylex() or yyparse() definition */
				(void) strcat(yytext, " /* ");
				first = strlen(yytext);
				if (lex == YES) {
					(void) strcat(yytext, "yylex");
				}
				else {	/* yacc: yyparse implicitly calls yylex */
					char *s = " yylex()";
					char *cp = s + strlen(s);
					while (--cp >= s) {
						unput(*cp);
					}
					(void) strcat(yytext, "yyparse");
				}
				last = strlen(yytext);
				(void) strcat(yytext, " */");
				yyleng = strlen(yytext);
				yymore();
				return(FCNDEF);
			}
			else {
				rules = NO;
				global = YES;
				last = first;
				yymore();
				return(FCNEND);
				/* NOTREACHED */
			}
		}
break;
case 4:
{ /* sdl state, treat as function def */
			braces = 1;
			fcndef = YES;
			token = FCNDEF;
			goto findident;
			/* NOTREACHED */
		}
break;
case 5:
{ /* end of an sdl state, treat as end of a function */
			goto endstate;
			/* NOTREACHED */
		}
break;
case 6:
	{	/* count unmatched left braces for fcn def detection */
			++braces;
			
			/* mark an untagged enum/struct/union so its beginning
			   can be found */
			if (tagdef) {
				if (braces == 1) {
					esudef = YES;
				}
				last = first;
				savesymbol(tagdef);
				tagdef = '\0';
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 7:
{
			/* attempt to correct erroneous brace count caused by:
			 * 
			 * #if ...
			 * 	... {
			 * #endif
			 * #if ...
			 * 	... {
			 * #endif
			 */
			/* the current #if must not have an #else or #elif */
			if (elseelif == YES) {
				goto endif;
				/* NOTREACHED */
			}
			psuedoelif = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 8:
{ /* #if, #ifdef or #ifndef */
			elseelif = NO;
			if (psuedoelif == YES) {
				psuedoelif = NO;
				goto elif;
				/* NOTREACHED */
			}
			/* make sure there is room for the current brace count */
			if (iflevel == miflevel) {
				miflevel += IFLEVELINC;
				maxifbraces = (int *) myrealloc((char *)
				    maxifbraces, miflevel * sizeof(int));
				preifbraces = (int *) myrealloc((char *)
				    preifbraces, miflevel * sizeof(int));
			}
			/* push the current brace count */
			preifbraces[iflevel] = braces;
			maxifbraces[iflevel++] = 0;
			goto more;
			/* NOTREACHED */
		}
break;
case 9:
{ /* #elif or #else */
			elseelif = YES;
		elif:
			if (iflevel > 0) {
				
				/* save the maximum brace count for this #if */
				if (braces > maxifbraces[iflevel]) {
					maxifbraces[iflevel - 1] = braces;
				}
				/* restore the brace count to before the #if */
				braces = preifbraces[iflevel - 1];
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 10:
{	/* #endif */
		endif:
			if (iflevel > 0) {
				
				/* get the maximum brace count for this #if */
				if (braces < maxifbraces[--iflevel]) {
					braces = maxifbraces[iflevel];
				}
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 11:
	{
			/* could be the last enum member initializer */
			if (braces == initializerbraces) {
				initializerbraces = -1;
				initializer = NO;
			}
			if (--braces <= 0) {
		endstate:
				braces = 0;
				classdef = NO;
			}
			if (braces == 0 || braces == 1 && classdef == YES) {

				/* if the end of an enum/struct/union definition */
				if (esudef == YES) {
					esudef = NO;
				}
				/* if the end of the function */
				else if (fcndef == YES) {
					fcndef = NO;
					last = first;
					yymore();
					return(FCNEND);
				}
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 12:
	{	/* count unmatched left parentheses for function templates */
			++parens;
			goto more;
			/* NOTREACHED */
		}
break;
case 13:
	{
			if (--parens <= 0) {
				parens = 0;
			}
			/* if the end of a function template */
			if (parens == templateparens) {
				templateparens = -1;
				template = NO;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 14:
	{	/* if a global definition initializer */
			if (global == YES && notpp()) {
				initializerbraces = braces;
				initializer = YES;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 15:
	{	/* a if global structure field */
			/* note: a pr header has a colon in the date */
			if (braces > 0 && global == YES && notpp()) {
				structfield = YES;
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 16:
	{
			if (braces == initializerbraces) {
				initializerbraces = -1;
				initializer = NO;
			}
			structfield = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 17:
	{	/* if the enum/struct/union was not a definition */
			if (braces == 0) {
				esudef = NO;
			}
			/* if the end of a typedef */
			if (braces == typedefbraces) {
				typedefbraces = -1;
			}
			/* if the end of a external definition */
			if (braces == externalbraces) {
				externalbraces = -1;
				external = NO;
			}
			structfield = NO;
			initializer = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 18:
{
				
			/* preprocessor macro or constant definition */
			ppdefine = YES;
			token = DEFINE;
			if (compress == YES) {
				yytext[0] = '\0';	/* compress the keyword */
			}
		findident:
			first = yyleng - 1;
			while (yytext[first] != ' ' && yytext[first] != '\t') {
				--first;
			}
			++first;
			goto fcn;
			/* NOTREACHED */
		}
break;
case 19:
{	/* class definition */
			classdef = YES;
			tagdef =  'c';
			REJECT;
			/* NOTREACHED */
		}
break;
case 20:
{ /* enum/struct/union definition */
			tagdef = *(yytext + first);
			goto ident;
			/* NOTREACHED */
		}
break;
case 21:
{
			
			/* warning: "if (...)" must not overflow yytext, so the content
			   of function argument definitions is restricted, in particular
			   parentheses are not allowed */

			/* if a function definition */
			/* note: "#define a (b) {" and "#if defined(a)\n#" are not */
			if (braces == 0 && notpp() && rules == NO ||
			    braces == 1 && classdef == YES) {
				fcndef = YES;
				token = FCNDEF;
				goto fcn;
				/* NOTREACHED */
			}
			goto fcncal;
			/* NOTREACHED */
		}
break;
case 22:
{ /* if a function call */
		fcncal:	if (fcndef == YES || ppdefine == YES || rules == YES) {
				token = FCNCALL;
				goto fcn;
				/* NOTREACHED */
			}
			if (template == NO) {
				templateparens = parens;
				template = YES;
			}
			goto ident;
			/* NOTREACHED */
		}
break;
case 23:
{	/* typedef name use */
			goto ident;
			/* NOTREACHED */
		}
break;
case 24:
{
			char	*s;

			if (global == YES && notpp() &&
			    external == NO && initializer == NO && 
			    arraydimension == NO && structfield == NO &&
			    template == NO && fcndef == NO) {
				if (esudef == YES) {	/* if enum/struct/union */
					token = MEMBERDEF;
				}
				else {
					token = GLOBALDEF;
				}
			}
			else {
		ident:		token = IDENT;
			}
		fcn:
			/* if a long line */
			if (yyleng > STMTMAX) {
				int	c;
				
				/* skip to the end of the line */
				warning("line too long");
				while ((c = input()) != LEXEOF) {
					if (c == '\n') {
						unput(c);
						break;
					}
				}
			}
			/* truncate a long symbol */
			if (yyleng - first > PATLEN) {
				warning("symbol too long");
				yyleng = first + PATLEN;
				yytext[yyleng] = '\0';
			}
			/* if a keyword */
			yymore();
			if ((s = lookup(yytext + first)) != NULL) {
				first = yyleng;
				
				/* if the start of a typedef */
				if (s == typedeftext) {
					typedefbraces = braces;
					oldtype = YES;
				}
				/* if an enum/struct/union */
				/* (needed for "typedef struct tag name;" so
				   tag isn't marked as the typedef name) */
				else if (s == enumtext || s == structtext || s == uniontext) {
				}
				/* if an external definition */
				else if (s == externtext) {
					externalbraces = braces;
					external = YES;
				}
				/* keyword doesn't start a function template */
				else if (templateparens == parens && template == YES) {
					templateparens = -1;
					template = NO;
				}
				else {	/* next identifier after typedef was a keyword */
					oldtype = NO;
				}
			}
			else {	/* identifier */
				last = yyleng;
				
				/* if a class/enum/struct/union tag definition */
				if (tagdef && strnotequal(yytext + first, "class")) {
					token = tagdef;
					tagdef = '\0';
					if (braces == 0) {
						esudef = YES;
					}
				}
				/* if a typedef name */
				else if (braces == typedefbraces && oldtype == NO &&
				    arraydimension == NO) {
					token = TYPEDEF;
				}
				else {
					oldtype = NO;
				}
				return(token);
				/* NOTREACHED */
			}
		}
break;
case 25:
	{	/* array dimension (don't worry or about subscripts) */
			arraydimension = YES;
			goto more;
			/* NOTREACHED */
		}
break;
case 26:
	{
			arraydimension = NO;
			goto more;
			/* NOTREACHED */
		}
break;
case 27:
	{	/* preprocessor statement is continued on next line */
			goto eol;
			/* NOTREACHED */
		}
break;
case 28:
	{	/* end of the line */
			if (ppdefine == YES) {	/* end of a #define */
				ppdefine = NO;
				(void) yyless(yyleng - 1);	/* rescan \n */
				last = first;
				yymore();
				return(DEFINEEND);
			}
			/* skip the first 8 columns of a breakpoint listing line */
			/* and skip the file path in the page header */
			if (bplisting == YES) {
				int	c, i;

				switch (input()) {	/* tab and EOF just fall through */
				case ' ':	/* breakpoint number line */
				case '[':
					for (i = 1; i < 8 && input() != LEXEOF; ++i)
						;
					break;
				case '.':	/* header line */
				case '/':
					/* skip to the end of the line */
					while ((c = input()) != LEXEOF) {
						if (c == '\n') {
							unput(c);
							break;
						}
					}
					break;
				case '\n':	/* empty line */
					unput('\n');
					break;
				}
			}
		eol:
			++yylineno;
			first = 0;
			last = 0;
			if (symbols > 0) {
				return(NEWLINE);
			}
			lineno = yylineno;
		}
break;
case 29:
	{	/* character constant */
			if (sdl == NO) {
				multicharconstant('\'');
			}
			goto more;
			/* NOTREACHED */
		}
break;
case 30:
	{	/* string constant */
			multicharconstant('"');
			goto more;
			/* NOTREACHED */
		}
break;
case 31:
{	/* don't save leading white space */
		}
break;
case 32:
{ /* #include or Ingres ##include */
			char	*s;
			
			s = strpbrk(yytext, "\"<");
			incfile(s + 1, *s);
			first = s - yytext;
			last = yyleng;
			if (compress == YES) {
				yytext[0] = '\1';	/* compress the keyword */
			}
			/* avoid multicharconstant call triggered by trailing
			   ", which puts a trailing comment in the database */
			if (*s == '"') {
				int	c;

				while ((c = input()) != LEXEOF) {
					if (c == '"') {
						yytext[yyleng] = '"';
						yytext[++yyleng] = '\0';
						break;
					}
					/* the trailing '"' may be missing */
					if (c == '\n') {
						unput('\n');
						break;
					}
				}
			}
			yymore();
			return(INCLUDE);
			/* NOTREACHED */
		}
break;
case 33:
case 34:
	case 35:
case 36:
	{	/* punctuation and operators */
		more:	first = yyleng;
			yymore();
		}
break;
case -1:
break;
default:
fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

void
initscanner(srcfile)
char	*srcfile;
{
	char	*s;
	
	if (maxifbraces == NULL) {
		maxifbraces = (int *) mymalloc(miflevel * sizeof(int));
		preifbraces = (int *) mymalloc(miflevel * sizeof(int));
	}
	first = 0;		/* buffer index for first char of symbol */
	last = 0;		/* buffer index for last char of symbol */
	lineno = 1;		/* symbol line number */
	yylineno = 1;		/* input line number */
	arraydimension = NO;	/* inside array dimension declaration */
	bplisting = NO;		/* breakpoint listing */
	braces = 0;		/* unmatched left brace count */
	classdef = NO;		/* c++ class definition */
	elseelif = NO;		/* #else or #elif found */
	esudef = NO;		/* enum/struct/union global definition */
	external = NO;		/* external definition */
	externalbraces = -1;	/* external definition outer brace count */
	fcndef = NO;		/* function definition */
	global = YES;		/* file global scope (outside functions) */
	iflevel = 0;		/* #if nesting level */
	initializer = NO;	/* data initializer */
	initializerbraces = -1;	/* data initializer outer brace count */
	lex = NO;		/* lex file */
	parens = 0;		/* unmatched left parenthesis count */
	ppdefine = NO;		/* preprocessor define statement */
	psuedoelif = NO;	/* psuedo-#elif */
	oldtype = NO;		/* next identifier is an old type */
	rules = NO;		/* lex/yacc rules */
	sdl = NO;		/* sdl file */
	structfield = NO;	/* structure field declaration */
	tagdef = '\0';		/* class/enum/struct/union tag definition */
	template = NO;		/* function template */
	templateparens = -1;	/* function template outer parentheses count */
	typedefbraces = -1;	/* initial typedef braces count */
	BEGIN 0;

	/* if this is not a C file */
	if ((s = strrchr(srcfile, '.')) != NULL) {
		switch (*++s) {	/* this switch saves time on C files */
		case 'b':
			if (strcmp(s, "bp") == 0) {	/* breakpoint listing */
				bplisting = YES;
			}
			break;
		case 'l':
			if (strcmp(s, "l") == 0) {	/* lex */
				lex = YES;
				global = NO;
			}
			break;
		case 's':
			if (strcmp(s, "sd") == 0) {	/* sdl */
				sdl = YES;
				BEGIN SDL;
			}
			break;
		case 'y':
			if (strcmp(s, "y") == 0) {	/* yacc */
				global = NO;
			}
			break;
		}
	}
}

comment()
{
	register int	c, lastc;

	do {
		if ((c = getc(yyin)) == '*') {	/* C comment */
			lastc = '\0';
			while ((c = getc(yyin)) != EOF &&
			    (c != '/' || lastc != '*')) { /* fewer '/'s */
				if (c == '\n') {
					++yylineno;
				}
				lastc = c;
			}
			/* return a blank for Reiser cpp token concatenation */
			if ((c = getc(yyin)) == '_' || isalnum(c)) {
				(void) ungetc(c, yyin);
				c = ' ';
				break;
			}
		}
		else if (c == '/') {		/* C++ comment */
			while ((c = getc(yyin)) != EOF && c != '\n') {
				;
			}
			break;
		}
		else {	/* not a comment */
			(void) ungetc(c, yyin);
			c = '/';
			break;
			/* NOTREACHED */
		}
		
	/* there may be an immediately following comment */
	} while (c == '/');
	return(c);
}

void
multicharconstant(terminator)
register char	terminator;
{
	register char	c;

	/* scan until the terminator is found */
	while ((c = yytext[yyleng++] = noncommentinput()) != terminator) {
		switch (c) {
		case '\\':	/* escape character */
			if ((yytext[yyleng++] = noncommentinput()) == '\n') {
				++yylineno;
			}
			break;
		case '\t':	/* tab character */
		
			/* if not a lex program, continue */
			if (lex == NO) {
				break;
			}
			/* fall through */
			
		case '\n':	/* illegal character */
			
			/* assume the terminator is missing, so put
			   this character back */
			unput(c);
			yytext[--yyleng] = '\0';
			/* fall through */
			
		case LEXEOF:	/* end of file */
			return;
			
		default:
			/* change a control character to a blank */
			if (!isprint(c)) {
				yytext[yyleng - 1] = ' ';
			}
		}
		/* if this token will overflow the line buffer */
		/* note: '\\' may cause yyleng to be > STMTMAX */
		if (yyleng >= STMTMAX) {
			
			/* truncate the token */
			while ((c = noncommentinput()) != LEXEOF) {
				if (c == terminator) {
					unput(c);
					break;
				}
				else if (c == '\n') {
					++yylineno;
				}
			}
		}
	}
	yytext[yyleng] = '\0';
}
int yyvstop[] = {
0,

36,
0,

28,
0,

30,
36,
0,

36,
0,

36,
0,

29,
36,
0,

12,
36,
0,

13,
36,
0,

16,
36,
0,

36,
0,

35,
36,
0,

15,
36,
0,

17,
36,
0,

14,
36,
0,

24,
36,
-21,
-22,
-23,
0,

25,
36,
0,

36,
0,

26,
36,
0,

24,
36,
-21,
-22,
-23,
0,

24,
36,
-21,
-22,
-23,
0,

24,
36,
-21,
-22,
-23,
0,

24,
36,
-21,
-22,
-23,
0,

6,
36,
0,

11,
36,
0,

31,
36,
0,

36,
0,

24,
36,
-21,
-22,
-23,
0,

24,
36,
-21,
-22,
-23,
0,

34,
0,

33,
0,

33,
0,

33,
0,

33,
0,

1,
0,

2,
0,

35,
0,

22,
0,

24,
-21,
-22,
-23,
0,

27,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

31,
0,

3,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

33,
0,

33,
0,

33,
0,

8,
33,
0,

33,
0,

23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

33,
0,

33,
0,

33,
0,

33,
0,

33,
0,

8,
33,
0,

33,
0,

21,
0,

24,
-21,
-22,
-23,
0,

24,
-20,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

33,
0,

9,
33,
0,

33,
0,

33,
0,

33,
0,

24,
-21,
-22,
-23,
0,

20,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

24,
-21,
-22,
-23,
0,

33,
0,

10,
33,
-7,
0,

8,
33,
0,

33,
0,

23,
0,

24,
-21,
-22,
-23,
0,

33,
0,

33,
0,

33,
0,

23,
0,

24,
-21,
-22,
-23,
0,

4,
0,

4,
23,
0,

33,
0,

19,
0,

24,
-21,
-22,
-23,
0,

4,
0,

18,
0,

5,
0,

7,
0,

32,
0,
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,5,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,5,	1,6,	
0,0,	1,5,	29,51,	21,46,	
0,0,	29,51,	0,0,	0,0,	
0,0,	0,0,	0,0,	2,29,	
0,0,	0,0,	2,29,	0,0,	
0,0,	0,0,	0,0,	34,55,	
0,0,	0,0,	0,0,	1,7,	
1,8,	29,51,	1,9,	1,5,	
1,10,	1,11,	1,12,	1,5,	
30,52,	1,13,	33,55,	1,14,	
109,121,	1,15,	0,0,	2,30,	
0,0,	2,10,	34,55,	2,12,	
0,0,	34,55,	2,13,	1,16,	
1,17,	1,5,	1,18,	1,5,	
111,111,	111,111,	1,19,	0,0,	
0,0,	0,0,	0,0,	109,121,	
1,19,	2,17,	0,0,	2,18,	
115,115,	115,115,	0,0,	3,9,	
0,0,	3,10,	0,0,	3,12,	
0,0,	0,0,	3,13,	111,111,	
0,0,	0,0,	111,122,	0,0,	
1,20,	1,21,	1,22,	0,0,	
0,0,	0,0,	97,106,	115,115,	
1,23,	3,17,	1,24,	3,18,	
61,78,	2,20,	2,21,	2,22,	
36,57,	57,72,	59,75,	3,31,	
38,60,	2,23,	4,29,	2,24,	
1,25,	4,29,	1,26,	37,58,	
38,61,	37,59,	56,71,	71,86,	
1,27,	3,32,	1,28,	34,56,	
9,39,	2,25,	9,40,	2,26,	
72,87,	3,20,	3,21,	3,22,	
73,88,	58,73,	60,76,	2,28,	
74,88,	3,23,	4,30,	3,24,	
4,10,	75,89,	4,12,	58,74,	
60,77,	4,13,	76,90,	77,76,	
78,91,	86,99,	87,100,	89,101,	
90,102,	3,25,	91,103,	3,26,	
99,108,	100,109,	103,113,	108,120,	
4,17,	113,123,	4,18,	3,28,	
120,129,	131,134,	110,110,	0,0,	
0,0,	0,0,	4,31,	0,0,	
8,33,	14,41,	14,41,	14,41,	
14,41,	14,41,	14,41,	14,41,	
14,41,	14,41,	14,41,	110,110,	
4,32,	0,0,	115,95,	0,0,	
0,0,	110,110,	0,0,	122,122,	
4,20,	4,21,	4,22,	8,33,	
0,0,	0,0,	8,34,	0,0,	
4,23,	0,0,	4,24,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	122,122,	0,0,	
4,25,	0,0,	4,26,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	4,28,	0,0,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	0,0,	0,0,	
0,0,	0,0,	8,35,	0,0,	
8,35,	8,35,	8,35,	8,36,	
8,37,	8,35,	8,35,	8,35,	
8,38,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	8,35,	8,35,	
8,35,	8,35,	15,41,	122,131,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	15,41,	
15,41,	15,41,	129,129,	135,0,	
135,0,	0,0,	0,0,	0,0,	
0,0,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	0,0,	
0,0,	0,0,	0,0,	0,0,	
15,41,	0,0,	0,0,	0,0,	
0,0,	129,129,	135,0,	129,132,	
135,0,	15,41,	0,0,	0,0,	
15,41,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	15,41,	15,41,	15,41,	
15,41,	15,41,	15,41,	0,0,	
0,0,	0,0,	0,0,	0,0,	
15,41,	129,132,	0,0,	0,0,	
135,0,	0,0,	0,0,	0,0,	
0,0,	15,41,	0,0,	0,0,	
15,41,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,42,	19,43,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
0,0,	19,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,44,	19,0,	19,43,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,45,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	19,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
19,0,	19,45,	0,0,	0,0,	
0,0,	0,0,	0,0,	19,45,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	19,0,	
19,0,	19,0,	19,0,	0,0,	
19,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	19,0,	
19,0,	19,0,	19,0,	19,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
0,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	0,0,	
23,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	0,0,	
23,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	23,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	23,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	0,0,	23,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	23,47,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	23,0,	23,0,	
23,0,	23,0,	23,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	0,0,	
0,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	0,0,	24,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	0,0,	24,0,	
0,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
24,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	24,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	24,0,	24,0,	24,0,	
24,0,	0,0,	24,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
24,48,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	24,0,	24,0,	24,0,	
24,0,	24,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	0,0,	0,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	0,0,	25,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	0,0,	25,0,	0,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	25,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	25,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
25,0,	25,0,	25,0,	25,0,	
0,0,	25,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	25,49,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
25,0,	25,0,	25,0,	25,0,	
25,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	0,0,	0,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
0,0,	26,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
0,0,	26,0,	0,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	26,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
26,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	26,0,	
26,0,	26,0,	26,0,	0,0,	
26,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	26,50,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	26,0,	
26,0,	26,0,	26,0,	26,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
0,0,	0,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	0,0,	
31,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	0,0,	
31,0,	0,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	31,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	31,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	31,53,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	31,0,	31,0,	
31,0,	31,0,	0,0,	31,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	31,0,	31,0,	
31,0,	31,0,	31,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	0,0,	
0,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	0,0,	32,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	0,0,	32,0,	
0,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
32,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	32,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	32,54,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	32,0,	32,0,	32,0,	
32,0,	0,0,	32,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	0,0,	
0,0,	32,0,	32,0,	32,0,	
32,0,	32,0,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
0,0,	0,0,	0,0,	0,0,	
35,35,	0,0,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
35,35,	35,35,	35,35,	35,35,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
0,0,	0,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	0,0,	
42,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	0,0,	
42,0,	0,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	42,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	42,0,	
42,62,	0,0,	0,0,	0,0,	
0,0,	0,0,	42,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	42,0,	42,0,	
42,0,	42,0,	0,0,	42,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	42,0,	42,0,	
42,0,	42,0,	42,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,43,	
0,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	0,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,0,	
0,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
43,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	43,0,	43,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	43,62,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	43,0,	43,0,	43,0,	
43,0,	0,0,	43,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	43,0,	43,0,	43,0,	
43,0,	43,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	44,0,	44,63,	44,63,	
44,0,	44,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	0,0,	44,0,	44,0,	
44,0,	44,0,	44,0,	44,63,	
44,0,	44,0,	44,64,	44,63,	
44,0,	0,0,	44,0,	44,63,	
44,0,	44,63,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	44,0,	
44,0,	44,0,	0,0,	44,0,	
44,0,	44,0,	44,63,	0,0,	
0,0,	0,0,	0,0,	0,0,	
44,63,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	44,0,	0,0,	44,0,	
0,0,	44,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
44,0,	44,0,	44,0,	44,0,	
44,0,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	54,42,	54,43,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
54,42,	45,0,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
54,44,	45,0,	54,43,	45,0,	
45,0,	45,0,	45,0,	45,0,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	45,0,	45,0,	
45,0,	45,0,	45,0,	45,0,	
45,0,	54,70,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	45,0,	
45,0,	45,0,	45,0,	54,45,	
45,0,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	54,45,	
54,45,	54,45,	54,45,	45,0,	
45,0,	45,0,	45,0,	45,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
0,0,	0,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	0,0,	
47,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	0,0,	
47,0,	0,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	47,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	47,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,0,	47,0,	
47,0,	47,0,	0,0,	47,0,	
47,65,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	47,0,	47,0,	
47,0,	47,0,	47,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	0,0,	
0,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	0,0,	48,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	0,0,	48,0,	
0,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
48,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	48,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,0,	48,0,	48,0,	
48,0,	0,0,	48,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	48,66,	
0,0,	0,0,	0,0,	0,0,	
0,0,	48,0,	48,0,	48,0,	
48,0,	48,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	0,0,	0,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	0,0,	49,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	0,0,	49,0,	0,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	49,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	49,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
49,0,	49,0,	49,0,	49,0,	
0,0,	49,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	49,67,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
49,0,	49,0,	49,0,	49,0,	
49,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	0,0,	0,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
0,0,	50,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
0,0,	50,0,	0,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	50,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
50,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	50,0,	
50,0,	50,0,	50,0,	0,0,	
50,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	50,68,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	50,0,	
50,0,	50,0,	50,0,	50,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
0,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	0,0,	
53,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	0,0,	
53,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	53,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	53,0,	
0,0,	0,0,	0,0,	53,69,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	0,0,	53,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	53,0,	53,0,	
53,0,	53,0,	53,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	0,0,	
0,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	0,0,	63,0,	
63,0,	63,0,	63,0,	63,0,	
0,0,	63,0,	63,0,	63,64,	
0,0,	63,0,	0,0,	63,0,	
0,0,	63,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
63,0,	63,0,	63,0,	0,0,	
63,0,	63,0,	63,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	64,64,	64,64,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	63,0,	0,0,	
63,0,	64,64,	63,0,	0,0,	
64,79,	0,0,	0,0,	0,0,	
0,0,	64,64,	64,64,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	64,79,	
0,0,	63,0,	63,0,	63,0,	
63,0,	63,0,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
0,0,	0,0,	0,0,	0,0,	
64,79,	0,0,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	64,79,	64,79,	64,79,	
64,79,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	0,0,	0,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
0,0,	65,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
0,0,	65,0,	0,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	65,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
65,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	65,0,	
65,0,	65,0,	65,0,	0,0,	
65,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	65,80,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	65,0,	
65,0,	65,0,	65,0,	65,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
0,0,	0,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	0,0,	
66,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	0,0,	
66,0,	0,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	66,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	66,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	66,0,	66,0,	
66,0,	66,0,	0,0,	66,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
66,81,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	66,0,	66,0,	
66,0,	66,0,	66,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	0,0,	
0,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	0,0,	67,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	0,0,	67,0,	
0,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
67,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	67,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	67,0,	67,0,	67,0,	
67,0,	0,0,	67,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	67,82,	
0,0,	0,0,	0,0,	0,0,	
0,0,	67,0,	67,0,	67,0,	
67,0,	67,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	0,0,	0,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	0,0,	68,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	0,0,	68,0,	0,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	68,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	68,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
68,0,	68,0,	68,0,	68,0,	
0,0,	68,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
68,83,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
68,0,	68,0,	68,0,	68,0,	
68,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	0,0,	0,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
0,0,	69,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
0,0,	69,0,	0,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	69,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
69,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	69,84,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	69,0,	
69,0,	69,0,	69,0,	0,0,	
69,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	69,0,	
69,0,	69,0,	69,0,	69,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
0,0,	0,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	0,0,	
70,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	0,0,	
70,0,	0,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	70,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	70,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	70,85,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	70,0,	70,0,	
70,0,	70,0,	0,0,	70,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	70,0,	70,0,	
70,0,	70,0,	70,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	0,0,	
0,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	0,0,	80,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	0,0,	80,0,	
0,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
80,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	80,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	80,0,	80,0,	80,0,	
80,0,	0,0,	80,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	80,92,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	80,0,	80,0,	80,0,	
80,0,	80,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	81,93,	81,94,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	0,0,	81,0,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	0,0,	81,0,	0,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	81,0,	
81,0,	81,0,	81,0,	81,0,	
81,0,	81,0,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
81,0,	81,0,	81,0,	81,0,	
119,128,	81,0,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
119,128,	119,128,	119,128,	119,128,	
81,95,	81,0,	81,0,	81,0,	
81,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	0,0,	0,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
0,0,	82,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
0,0,	82,0,	0,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	82,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
82,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	82,0,	
82,0,	82,0,	82,0,	0,0,	
82,0,	0,0,	0,0,	82,96,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	82,0,	
82,0,	82,0,	82,0,	82,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
0,0,	0,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	0,0,	
83,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	0,0,	
83,0,	0,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	83,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	83,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	83,0,	83,0,	
83,0,	83,0,	0,0,	83,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	83,81,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	83,0,	83,0,	
83,0,	83,0,	83,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	0,0,	
0,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	0,0,	84,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	0,0,	84,0,	
0,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
84,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	84,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	84,97,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	84,0,	84,0,	84,0,	
84,0,	0,0,	84,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	84,0,	84,0,	84,0,	
84,0,	84,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	0,0,	0,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	0,0,	85,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	0,0,	85,0,	0,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	85,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	85,0,	0,0,	0,0,	
0,0,	0,0,	85,98,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
85,0,	85,0,	85,0,	85,0,	
0,0,	85,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
85,0,	85,0,	85,0,	85,0,	
85,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	92,104,	0,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
0,0,	92,0,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
0,0,	92,0,	0,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	92,0,	92,0,	
92,0,	92,0,	92,0,	92,0,	
92,0,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	92,0,	
92,0,	92,0,	92,0,	130,130,	
92,0,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	130,130,	
130,130,	130,130,	130,130,	92,0,	
92,0,	92,0,	92,0,	92,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,93,	93,94,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	0,0,	
93,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	0,0,	
93,0,	0,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	93,0,	93,0,	93,0,	
93,0,	93,0,	93,0,	93,0,	
93,105,	0,0,	0,0,	0,0,	
0,0,	0,0,	93,105,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	93,0,	93,0,	
93,0,	93,0,	0,0,	93,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	93,95,	93,0,	
93,0,	93,0,	93,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,94,	
94,94,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	0,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,0,	
0,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
94,0,	94,0,	94,0,	94,0,	
94,0,	94,0,	94,0,	94,105,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,105,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,0,	94,0,	94,0,	
94,0,	0,0,	94,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,95,	94,0,	94,0,	
94,0,	94,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	0,0,	0,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	0,0,	96,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	0,0,	96,0,	0,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	96,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	96,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
96,0,	96,0,	96,0,	96,0,	
0,0,	96,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	96,81,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
96,0,	96,0,	96,0,	96,0,	
96,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,107,	0,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
0,0,	98,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
101,110,	98,0,	0,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
101,110,	101,111,	0,0,	101,110,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	98,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
98,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	101,110,	101,110,	0,0,	
0,0,	101,110,	0,0,	101,110,	
0,0,	101,110,	0,0,	0,0,	
0,0,	101,110,	0,0,	101,112,	
0,0,	0,0,	0,0,	98,0,	
98,0,	98,0,	98,0,	0,0,	
98,0,	101,110,	0,0,	101,110,	
0,0,	101,110,	0,0,	0,0,	
101,112,	0,0,	0,0,	0,0,	
0,0,	0,0,	101,112,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	98,0,	
98,0,	98,0,	98,0,	98,0,	
0,0,	0,0,	0,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,104,	
0,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	101,110,	104,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	0,0,	104,0,	
0,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
104,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	104,0,	104,114,	
0,0,	0,0,	0,0,	0,0,	
0,0,	104,114,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	104,0,	104,0,	104,0,	
104,0,	0,0,	104,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	104,0,	104,0,	104,0,	
104,0,	104,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,115,	105,115,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	0,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,116,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	105,0,	
105,0,	105,0,	105,0,	105,0,	
105,0,	105,0,	105,116,	0,0,	
0,0,	0,0,	0,0,	0,0,	
105,116,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
105,0,	105,0,	105,0,	105,0,	
0,0,	105,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
105,95,	105,0,	105,0,	105,0,	
105,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	0,0,	0,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
0,0,	106,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
0,0,	106,0,	0,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	106,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
106,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
106,117,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	106,0,	
106,0,	106,0,	106,0,	0,0,	
106,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	106,0,	
106,0,	106,0,	106,0,	106,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,107,	0,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	0,0,	
107,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	0,0,	
107,0,	107,118,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	107,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	107,0,	
107,119,	0,0,	0,0,	0,0,	
0,0,	0,0,	107,119,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	107,0,	107,0,	
107,0,	107,0,	0,0,	107,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	107,0,	107,0,	
107,0,	107,0,	107,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,124,	
114,124,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	0,0,	114,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,124,	0,0,	
114,0,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,125,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
114,124,	114,0,	114,0,	114,0,	
114,0,	114,0,	114,0,	114,125,	
0,0,	0,0,	0,0,	0,0,	
0,0,	114,125,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	114,0,	114,0,	114,0,	
114,0,	0,0,	114,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	114,126,	114,0,	114,0,	
114,0,	114,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	121,121,	0,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	121,121,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	116,0,	
116,0,	116,0,	116,0,	116,0,	
116,0,	116,0,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
116,0,	116,0,	116,0,	116,0,	
121,130,	116,0,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
121,130,	121,130,	121,130,	121,130,	
0,0,	116,0,	116,0,	116,0,	
116,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	0,0,	0,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
0,0,	117,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
0,0,	117,0,	0,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	117,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
117,0,	0,0,	0,0,	0,0,	
0,0,	117,127,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	117,0,	
117,0,	117,0,	117,0,	0,0,	
117,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	117,0,	
117,0,	117,0,	117,0,	117,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,43,	0,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	0,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,0,	0,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,62,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	118,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	118,0,	
118,62,	0,0,	0,0,	0,0,	
0,0,	0,0,	118,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	118,0,	118,0,	
118,0,	118,0,	0,0,	118,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	118,0,	118,0,	
118,0,	118,0,	118,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,129,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	0,0,	123,0,	
123,132,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	123,35,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
123,0,	123,0,	123,132,	123,0,	
123,0,	123,0,	123,0,	123,35,	
0,0,	0,0,	0,0,	0,0,	
0,0,	123,35,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	123,0,	123,0,	123,0,	
123,0,	0,0,	123,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	123,0,	123,0,	123,0,	
123,0,	123,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	0,0,	0,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	0,0,	124,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	0,0,	0,0,	124,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,124,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
124,0,	124,0,	124,0,	124,0,	
124,0,	124,0,	124,124,	0,0,	
0,0,	0,0,	0,0,	0,0,	
124,124,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
124,0,	124,0,	124,0,	124,0,	
0,0,	124,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	124,0,	124,0,	124,0,	
124,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	0,0,	0,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
0,0,	125,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
0,0,	0,0,	125,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	125,0,	
125,0,	125,0,	125,0,	125,0,	
125,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	125,0,	
125,0,	125,0,	125,0,	0,0,	
125,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
125,0,	125,0,	125,0,	125,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
127,133,	0,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	0,0,	
127,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	132,135,	
127,0,	0,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	132,0,	
132,0,	0,0,	132,135,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	127,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	127,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	132,0,	0,0,	
132,0,	132,135,	0,0,	0,0,	
132,135,	0,0,	132,135,	0,0,	
132,135,	0,0,	0,0,	0,0,	
132,135,	0,0,	132,135,	0,0,	
0,0,	0,0,	127,0,	127,0,	
127,0,	127,0,	0,0,	127,0,	
132,135,	0,0,	132,135,	0,0,	
132,0,	0,0,	0,0,	132,135,	
0,0,	0,0,	0,0,	0,0,	
0,0,	132,135,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	127,0,	127,0,	
127,0,	127,0,	127,0,	0,0,	
0,0,	0,0,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	0,0,	0,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	132,135,	133,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	0,0,	133,0,	0,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,62,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	133,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	133,0,	133,62,	0,0,	
0,0,	0,0,	0,0,	0,0,	
133,62,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
133,0,	133,0,	133,0,	133,0,	
0,0,	133,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
133,0,	133,0,	133,0,	133,0,	
133,0,	0,0,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-14,	yysvec+1,	0,	
yycrank+-42,	yysvec+1,	0,	
yycrank+-105,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+0,	0,		yyvstop+5,
yycrank+167,	0,		yyvstop+8,
yycrank+5,	0,		yyvstop+10,
yycrank+0,	0,		yyvstop+12,
yycrank+0,	0,		yyvstop+15,
yycrank+0,	0,		yyvstop+18,
yycrank+0,	0,		yyvstop+21,
yycrank+129,	0,		yyvstop+24,
yycrank+244,	0,		yyvstop+26,
yycrank+0,	0,		yyvstop+29,
yycrank+0,	0,		yyvstop+32,
yycrank+0,	0,		yyvstop+35,
yycrank+-364,	0,		yyvstop+38,
yycrank+0,	0,		yyvstop+44,
yycrank+5,	0,		yyvstop+47,
yycrank+0,	0,		yyvstop+49,
yycrank+-491,	yysvec+19,	yyvstop+52,
yycrank+-618,	yysvec+19,	yyvstop+58,
yycrank+-745,	yysvec+19,	yyvstop+64,
yycrank+-872,	yysvec+19,	yyvstop+70,
yycrank+0,	0,		yyvstop+76,
yycrank+0,	0,		yyvstop+79,
yycrank+5,	0,		yyvstop+82,
yycrank+7,	yysvec+9,	yyvstop+85,
yycrank+-999,	yysvec+19,	yyvstop+87,
yycrank+-1126,	yysvec+19,	yyvstop+93,
yycrank+11,	yysvec+8,	0,	
yycrank+22,	0,		yyvstop+99,
yycrank+1189,	0,		yyvstop+101,
yycrank+7,	yysvec+35,	yyvstop+103,
yycrank+11,	yysvec+35,	yyvstop+105,
yycrank+10,	yysvec+35,	yyvstop+107,
yycrank+0,	0,		yyvstop+109,
yycrank+0,	0,		yyvstop+111,
yycrank+0,	yysvec+15,	yyvstop+113,
yycrank+-1311,	yysvec+19,	0,	
yycrank+-1438,	yysvec+19,	0,	
yycrank+-1565,	0,		yyvstop+115,
yycrank+-1692,	yysvec+19,	yyvstop+117,
yycrank+0,	0,		yyvstop+122,
yycrank+-1819,	yysvec+19,	yyvstop+124,
yycrank+-1946,	yysvec+19,	yyvstop+129,
yycrank+-2073,	yysvec+19,	yyvstop+134,
yycrank+-2200,	yysvec+19,	yyvstop+139,
yycrank+0,	yysvec+29,	yyvstop+144,
yycrank+0,	0,		yyvstop+146,
yycrank+-2327,	yysvec+19,	yyvstop+148,
yycrank+1692,	0,		yyvstop+153,
yycrank+0,	yysvec+34,	0,	
yycrank+12,	0,		0,	
yycrank+7,	yysvec+35,	yyvstop+158,
yycrank+32,	yysvec+35,	yyvstop+160,
yycrank+10,	yysvec+35,	yyvstop+162,
yycrank+38,	yysvec+35,	yyvstop+164,
yycrank+5,	yysvec+35,	yyvstop+167,
yycrank+0,	0,		yyvstop+169,
yycrank+-2454,	yysvec+44,	0,	
yycrank+2517,	0,		0,	
yycrank+-2640,	yysvec+19,	yyvstop+171,
yycrank+-2767,	yysvec+19,	yyvstop+176,
yycrank+-2894,	yysvec+19,	yyvstop+181,
yycrank+-3021,	yysvec+19,	yyvstop+186,
yycrank+-3148,	yysvec+19,	yyvstop+191,
yycrank+-3275,	yysvec+19,	yyvstop+196,
yycrank+24,	0,		0,	
yycrank+27,	yysvec+35,	yyvstop+201,
yycrank+34,	yysvec+35,	yyvstop+203,
yycrank+39,	yysvec+35,	yyvstop+205,
yycrank+40,	yysvec+35,	yyvstop+207,
yycrank+49,	yysvec+35,	yyvstop+209,
yycrank+51,	yysvec+35,	yyvstop+211,
yycrank+44,	yysvec+35,	yyvstop+214,
yycrank+0,	0,		yyvstop+216,
yycrank+-3402,	yysvec+19,	yyvstop+218,
yycrank+-3529,	yysvec+19,	yyvstop+223,
yycrank+-3656,	yysvec+19,	yyvstop+229,
yycrank+-3783,	yysvec+19,	yyvstop+234,
yycrank+-3910,	yysvec+19,	yyvstop+239,
yycrank+-4037,	yysvec+19,	yyvstop+244,
yycrank+45,	0,		0,	
yycrank+44,	yysvec+35,	yyvstop+249,
yycrank+0,	yysvec+35,	yyvstop+251,
yycrank+53,	yysvec+35,	yyvstop+254,
yycrank+54,	yysvec+35,	yyvstop+256,
yycrank+41,	yysvec+35,	yyvstop+258,
yycrank+-4164,	yysvec+19,	yyvstop+260,
yycrank+-4291,	yysvec+19,	0,	
yycrank+-4418,	yysvec+19,	0,	
yycrank+0,	0,		yyvstop+265,
yycrank+-4545,	yysvec+19,	yyvstop+267,
yycrank+33,	yysvec+54,	yyvstop+272,
yycrank+-4672,	yysvec+19,	yyvstop+277,
yycrank+43,	0,		0,	
yycrank+60,	yysvec+35,	yyvstop+282,
yycrank+-4711,	0,		yyvstop+284,
yycrank+0,	yysvec+35,	yyvstop+288,
yycrank+62,	yysvec+35,	yyvstop+291,
yycrank+-4802,	yysvec+19,	0,	
yycrank+-4929,	0,		yyvstop+293,
yycrank+-5056,	yysvec+19,	yyvstop+295,
yycrank+-5183,	yysvec+19,	0,	
yycrank+63,	0,		0,	
yycrank+39,	yysvec+35,	yyvstop+300,
yycrank+-122,	yysvec+101,	0,	
yycrank+55,	0,		0,	
yycrank+0,	yysvec+101,	yyvstop+302,
yycrank+64,	yysvec+35,	yyvstop+304,
yycrank+-5310,	0,		yyvstop+306,
yycrank+67,	0,		0,	
yycrank+-5437,	yysvec+105,	0,	
yycrank+-5564,	yysvec+19,	yyvstop+308,
yycrank+-5691,	yysvec+19,	yyvstop+313,
yycrank+3529,	0,		yyvstop+315,
yycrank+67,	0,		0,	
yycrank+5437,	0,		0,	
yycrank+186,	0,		0,	
yycrank+-5818,	0,		yyvstop+318,
yycrank+-5945,	yysvec+114,	0,	
yycrank+-6072,	yysvec+114,	0,	
yycrank+0,	0,		yyvstop+320,
yycrank+-6199,	yysvec+19,	yyvstop+322,
yycrank+0,	yysvec+119,	yyvstop+327,
yycrank+293,	0,		0,	
yycrank+4164,	0,		yyvstop+329,
yycrank+67,	0,		0,	
yycrank+-6238,	0,		0,	
yycrank+-6329,	yysvec+19,	yyvstop+331,
yycrank+0,	0,		yyvstop+333,
yycrank+-294,	yysvec+132,	yyvstop+335,
0,	0,	0};
struct yywork *yytop = yycrank+6456;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
00  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,011 ,012 ,01  ,014 ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
01  ,01  ,01  ,01  ,01  ,01  ,01  ,01  ,
011 ,01  ,'"' ,'#' ,01  ,01  ,'&' ,01  ,
'(' ,'(' ,'*' ,01  ,'&' ,01  ,'.' ,01  ,
'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,'0' ,
'0' ,'0' ,':' ,01  ,'<' ,'&' ,'>' ,01  ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'A' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'A' ,'G' ,'G' ,
'A' ,'G' ,'G' ,'&' ,01  ,'&' ,01  ,'G' ,
01  ,'A' ,'A' ,'A' ,'A' ,'A' ,'A' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'A' ,'G' ,'G' ,'G' ,
'G' ,'G' ,'G' ,'G' ,'G' ,'A' ,'G' ,'G' ,
'A' ,'G' ,'G' ,'{' ,01  ,01  ,01  ,01  ,
0};
char yyextra[] = {
0,0,0,0,0,0,0,1,
0,0,0,0,0,0,0,0,
0,0,0,0,1,1,1,1,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1984, 1986, 1987, 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)/usr/lib/lex/ncform.sl 1.1 4.1.5 05/27/88 42620 AT&T-SF"
int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
char yytext[YYLMAX];
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
yylook(){
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
			*yylastch++ = yych = input();
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (int)yyt > (int)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((int)yyt < (int)yycrank) {		/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
yyback(p, m)
	int *p;
{
if (p==0) return(0);
while (*p)
	{
	if (*p++ == m)
		return(1);
	}
return(0);
}
	/* the following are only used in the lex library */
yyinput(){
	return(input());
	}
yyoutput(c)
  int c; {
	output(c);
	}
yyunput(c)
   int c; {
	unput(c);
	}
