#ifdef BSD4_2
#ifndef MAXNAMLEN
#include <sys/dir.h>
#endif
#define statdir(file, statp)    fstat(file->dd_fd, statp)
#else
#ifndef DIRSIZ
#include <sys/dir.h>
#endif
#define MAXNAMLEN       DIRSIZ
#define DIR             FILE
#define opendir(name)           fopen(name, "r")
#define closedir(file)          fclose(file)
#define rewinddir(file)         rewind(file)
#define statdir(file, statp)    fstat(fileno(file), statp)
#define readdir(file)           (struct direct *) \
        (fread(entrybuf, (int) sizeof(struct direct), 1, file) == 1 ? \
        entrybuf : NULL)
/* allow for a terminating null on the name */
/* note: the last structure field must be the name */
static  char    entrybuf[sizeof(struct direct) + 1];
#endif
